/**
 * 高德支持的插件列表
 * @link https://lbs.amap.com/api/javascript-api-v2/guide/abc/plugins-list
 */
export type MapPlugins =
    'AMap.ElasticMarker'
    | 'AMap.ToolBar'
    | 'AMap.Scale'
    | 'AMap.HawkEye'
    | 'AMap.ControlBar'
    | 'AMap.MapType'
    | 'AMap.Geolocation'
    | 'AMap.AutoComplete'
    | 'AMap.PlaceSearch'
    | 'AMap.DistrictSearch'
    | 'AMap.LineSearch'
    | 'AMap.StationSearch'
    | 'AMap.Driving'
    | 'AMap.TruckDriving'
    | 'AMap.Transfer'
    | 'AMap.Walking'
    | 'AMap.Riding'
    | 'AMap.DragRoute'
    | 'AMap.Geocoder'
    | 'AMap.CitySearch'
    | 'AMap.IndoorMap'
    | 'AMap.MouseTool'
    | 'AMap.CircleEditor'
    | 'AMap.PolygonEditor'
    | 'AMap.PolylineEditor'
    | 'AMap.RectangleEditor'
    | 'AMap.EllipseEditor'
    | 'AMap.BezierCurveEditor'
    | 'AMap.MarkerCluster'
    | 'AMap.RangingTool'
    | 'AMap.CloudDataSearch'
    | 'AMap.Weather'
    | 'AMap.HeatMap'

export interface MapContainerProps {
    plugins?: MapPlugins[],
    initCallback?: (map: AMap.Map) => void,
    mapOptions?: AMap.MapOptions
}
