package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.annotation.IsExtData;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/9/5 上午11:04
 * @desc 服务项目二级类型
 */
@AllArgsConstructor
@Getter
public enum ServiceProjectTwoType implements BaseEnum<String>, IEnum<String> {

    SECURITY("outsource", "外包", ServiceProjectType.SECURITY.getValue()),
    PROPERTY_RECRUITMENT("property_recruitment", "物业自招", ServiceProjectType.SECURITY.getValue()),
    OTHER_RECRUITMENT("other_recruitment", "其他自招", ServiceProjectType.SECURITY.getValue()),
    ;


    private final String value;
    private final String label;
    @IsExtData
    private final String parentType;
}
