package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/9/5 上午11:04
 * @desc 服务项目类型
 */
@AllArgsConstructor
@Getter
public enum ServiceProjectType implements BaseEnum<String>, IEnum<String> {

    SECURITY("security", "安保"),
    ;


    private final String value;
    private final String label;
}
