import {BaseTableRowRecord} from "@/types/components/table";

export interface serviceProjectSaveOrUpdateParams extends BaseTableRowRecord {
    snowFlakeId: string
    enterprisesUnitId: string,
    enterprisesUnitName: string,
    projectManagerMiniProgramUserId: string,
    projectManagerMiniProgramUserName: string,
    name: string,
    type: TypeEnum<string>,
    twoType: BaseEnum<any>,
    outsourceName:string,
    isFiling:BaseEnum<number>,
    idNumber: string,
    serviceArea: number,
    buildingTotal: number,
    houseTotal: number,
    staffTotal: number,
    securityUserTotal: number,
    remark: string,
    createUserName: string,
    createTime: string,
    enterprisesUnitAdministrativeDivisionCodes:Record<string, any>
}



