package com.changhu.common.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 20252
 * @createTime 2024/11/19 上午9:17
 * @desc 脱敏数据
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DesensitizedVo {
    /**
     * 原始数据
     */
    private String originalValue;
    /**
     * 脱敏数据
     */
    private String desensitizedValue;
}
